
Redmine - Defect #38025

Add free SSL certificate to demo.redmine.org

2022-12-08 17:00 - Francewhoa (Francois Carpentier)

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Challenge

The challenge is that https://demo.redmine.org does not presently support secured connection (HTTPS). Details about this and

screenshots are into this other issue/ticket #38024.

Suggested Resolution

How about adding a free, secure, and very popular Let's Encrypt SSL certificate ? Documentation is at https://letsencrypt.org

Optionally, this type of certificate can automatically renew itself to any future new version of TLS.

Contribution

Any volunteer for adding an SSL certificate to https://demo.redmine.org ? Both me and the Ubertus.org team would be happy, as

volunteer, to contribute testing and documentation, if needed.

History

#1 - 2022-12-09 03:26 - Go MAEDA

- Category changed from Security to Website (redmine.org)

#2 - 2024-06-20 16:41 - Holger Just

- Status changed from New to Closed

- Resolution set to Wont fix

The http://demo.redmine.org service was discontinued entirely.
